Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface DiagnosticListener

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface DiagnosticListener

Interface for receiving diagnostics from Nashorn parser.

Since:
  9

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `report(Diagnostic diagnostic)` Invoked whenever a parsing problem is found.

### Method Detail

#### report

    void report(Diagnostic diagnostic)

Invoked whenever a parsing problem is found.

Parameters:
  `diagnostic` - additional information errors, warnings detected during parsing.